Skip to main content
GET
/
v1
/
downstream-entity-associations
/
{downstreamEntityAssociationId}
/
appointments
cURL
curl --request GET \
  --url https://public.api.live.turrisfi.com/v1/downstream-entity-associations/{downstreamEntityAssociationId}/appointments
{
  "data": [
    {
      "niprDataSubscriptionId": "<string>",
      "stateCode": "AL",
      "carrierName": "<string>",
      "ein": "<string>",
      "companyCode": "<string>",
      "lineOfAuthorityName": "<string>",
      "lineOfAuthorityCode": "<string>",
      "status": "active",
      "npn": "<string>",
      "terminationReason": "<string>",
      "statusChangeDate": "2023-11-07T05:31:56Z",
      "renewalDate": "2023-11-07T05:31:56Z",
      "appointerStateCoId": "<string>",
      "countyName": "<string>",
      "updatedAt": "2023-11-07T05:31:56Z"
    }
  ],
  "requestId": "dev-2c5e7cf2-9acf-4c8c-ab2f-b81f39d775a8",
  "timestamp": "2025-11-12T20:49:03.293Z"
}
Returns all appointment records for a specific downstream entity association. You can filter by state code and appointment status.

Path Parameters

downstreamEntityAssociationId
string
required

Downstream entity association ID

Example:

"507f1f77bcf86cd799439011"

Query Parameters

stateCode
string

State code (two-letter abbreviation)

Example:

"FL"

status
string

Filter for the appointment status

Example:

"appointed"

Response

List of downstream entity appointments

data
object[]
required
requestId
string
required

Unique request identifier

Example:

"dev-2c5e7cf2-9acf-4c8c-ab2f-b81f39d775a8"

timestamp
string
required

Response timestamp

Example:

"2025-11-12T20:49:03.293Z"